/**************************************************************************/
/* AN02 ( アンケート項目マスタ )                                          */
/*                                                                        */
/* Created : 2010/07/09 11:19:12                                          */
/**************************************************************************/
CREATE TABLE AN02 (
   USERID  VARCHAR(10)                    NOT NULL                  /* 1  ユーザーID   */
 , CDANK   VARCHAR(10)                    NOT NULL                  /* 2  アンケートC  */
 , CDSITSU VARCHAR(10)                    NOT NULL                  /* 3  質問C        */
 , SEQNO   NUMERIC(7)      DEFAULT 0      NOT NULL                  /* 4  表示順       */
 , NAIYO   BLOB                                                     /* 5  質問内容     */
 , IMGNAI  VARCHAR(200)                                             /* 6  質問画像     */
 , FGKEY   VARCHAR(1)      DEFAULT '0'    NOT NULL                  /* 7  キー項目F    */
 , FGMUST  VARCHAR(1)      DEFAULT '0'    NOT NULL                  /* 8  回答必須F    */
 , KBUNRUI VARCHAR(10)     DEFAULT 'TEXT' NOT NULL                  /* 9  回答値分類   */
 , KLENGTH NUMERIC(9)      DEFAULT 10     NOT NULL                  /* 10 回答値桁数   */
 , KNOTE   VARCHAR(200)                                             /* 11 回答注釈     */
 , BIKO    BLOB                                                     /* 13 備考         */
 , UNIQ    BIGINT                         NOT NULL PRIMARY KEY      /* 14 ユニークキー */
 , FGJ     VARCHAR(1)      DEFAULT '1'    NOT NULL                  /* 15 状態フラグ   */
 , DYSET   VARCHAR(14)                                              /* 16 登録日時     */
 , PGSET   VARCHAR(10)                                              /* 17 作成PG       */
 , PGPSET  VARCHAR(10)                                              /* 18 作成親PG     */
 , USRSET  VARCHAR(10)                                              /* 19 作成社員     */
 , DYUPD   VARCHAR(14)                                              /* 20 更新日時     */
 , PGUPD   VARCHAR(10)                                              /* 21 更新PG       */
 , PGPUPD  VARCHAR(10)                                              /* 22 更新親PG     */
 , USRUPD  VARCHAR(10)                                              /* 23 更新者       */
);

CREATE SEQUENCE AN02S01 ;


CREATE TRIGGER AN02T01 FOR AN02
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( AN02S01,1 );
  END; 


